aboutsummaryrefslogtreecommitdiffstats
path: root/testing/polkit-gnome/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-07-18 12:17:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-07-18 12:18:17 +0000
commit0b4d8b26f688f46a6ddd7370abf83febe9c04c34 (patch)
tree2a578acb46afc98c394713b215b373cec451fcab /testing/polkit-gnome/APKBUILD
parent5e84fff55d606af198210c7ccca4b51941905397 (diff)
downloadaports-0b4d8b26f688f46a6ddd7370abf83febe9c04c34.tar.gz
aports-0b4d8b26f688f46a6ddd7370abf83febe9c04c34.tar.bz2
aports-0b4d8b26f688f46a6ddd7370abf83febe9c04c34.tar.xz
testing/polkit-gnome: upgrade to 0.105
Diffstat (limited to 'testing/polkit-gnome/APKBUILD')
-rw-r--r--testing/polkit-gnome/APKBUILD41
1 files changed, 28 insertions, 13 deletions
diff --git a/testing/polkit-gnome/APKBUILD b/testing/polkit-gnome/APKBUILD
index bf43b19280..2bf7fc80d7 100644
--- a/testing/polkit-gnome/APKBUILD
+++ b/testing/polkit-gnome/APKBUILD
@@ -1,38 +1,53 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=polkit-gnome
-pkgver=0.101
-pkgrel=1
+pkgver=0.105
+pkgrel=0
pkgdesc="PolicyKit integration for the GNOME desktop"
url="http://www.freedesktop.org/wiki/Software/PolicyKit"
arch="all"
-license="LGPL"
+license="LGPLv2+"
depends=""
-makedepends="polkit-dev gtk+-dev gobject-introspection-dev"
-subpackages="$pkgname-dev"
-source="http://hal.freedesktop.org/releases/polkit-gnome-$pkgver.tar.bz2"
+depends_dev=""
+makedepends="$depends_dev gtk+3.0-dev polkit-dev"
+install=""
+subpackages="$pkgname-lang"
+source="http://download.gnome.org/pub/GNOME/sources/polkit-gnome/$pkgver/polkit-gnome-$pkgver.tar.xz
+ polkit-gnome-authentication-agent-1.desktop"
-_builddir="$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir"/polkit-gnome-$pkgver
prepare() {
+ local i
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
cd "$_builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
--localstatedir=/var \
--libexecdir=/usr/lib/polkit-gnome \
- --disable-static \
- --disable-introspection \
|| return 1
- make
+ make || return 1
}
package() {
cd "$_builddir"
- make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="$pkgdir" install
make DESTDIR="$pkgdir" install || return 1
- rm "$pkgdir"/usr/lib/*.la
+ rm -f "$pkgdir"/usr/lib/*.la
+ install -Dm644 "${srcdir}/polkit-gnome-authentication-agent-1.desktop" \
+ "${pkgdir}/etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop"
}
-md5sums="da6aaff473ed80f8958fd6f67a59defe polkit-gnome-0.101.tar.bz2"
+md5sums="50ecad37c8342fb4a52f590db7530621 polkit-gnome-0.105.tar.xz
+147a0534adb37452edb4b27cdb2eabb2 polkit-gnome-authentication-agent-1.desktop"
+sha256sums="1784494963b8bf9a00eedc6cd3a2868fb123b8a5e516e66c5eda48df17ab9369 polkit-gnome-0.105.tar.xz
+ad19e73ae8eba00a8f66bd9afd3e0e1fd7ca22f716e29b97f097d9c01711e0de polkit-gnome-authentication-agent-1.desktop"
+sha512sums="eae2504959bca6f2b53dbad1b743fc0414b82897e62623af80ee74c4080a10d6b07a4c90151ee1264891f27373321b8697ac8a747cba5254c765b4cd9161bd42 polkit-gnome-0.105.tar.xz
+6cf30dcbdb71425603edc804aca9a1bfaf28120614be567db81bdd5b64392445baad8094986f086922795be36b7130f13dd906c56ea576ac85987111d918b0bd polkit-gnome-authentication-agent-1.desktop"